﻿// <copyright file="client.cs" company="ANUJ Technologies Inc.">
// Copyright (c) 10-06-2011 All Right Reserved
// </copyright>
// <author>Anuj Varma</author>
// <date>10-06-2011</date>
// <summary>Class representing a client entity.</summary>
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Services_Architecture.ServiceFactory;
using Services_Architecture.ServicesByFeature;
using Services_Architecture.ServicesByPlatform;

namespace Services_Architecture
{
    class Client
    {
        static void Main(string[] args)
        {
            ServiceFactory.SqlServerServiceFactory sqlFactory = new ServiceFactory.SqlServerServiceFactory();
            IAccountService acctService = sqlFactory.GetService<IAccountService>();

            acctService.CreateAccount();
        }
    }
}
